#!/bin/bash

old_mods='/usr/local/viewsec/old_mods'
home='/usr/local/viewsec/'

if [ ! -f  $old_mods ] ; then
        echo "NO EXISTING LIST!"
        lsmod | awk '{print $1}' > $old_mods
else
        mv $old_mods ${old_mods}.old
        lsmod | awk '{print $1}' > $old_mods
        diff ${old_mods}.old $old_mods | sed "s/^</Added:\t/g" | sed "s/^>/Removed:/g" > ${home}mods.changes
        rm ${old_mods}.old
fi

