#!/bin/bash

last_listen='/usr/local/viewsec/last_listen'
contact='nick@docmagic.com'
home='/usr/local/viewsec/'



if [ ! -f  $last_listen ] ; then
	echo "NO EXISTING LIST!"
	netstat -lutp > $last_listen
	mail -s "Listening Services $(date -I)" $contact < $last_listen
else
	if [ -e ${home}services.changes ] ; then rm ${home}services.changes ; fi
	mv $last_listen ${last_listen}.old 
	netstat -lutp > $last_listen
	diff ${last_listen}.old $last_listen | sed "s/^</Added:\t/g" | sed "s/^>/Removed:/g" > ${home}services.changes
	rm ${last_listen}.old 
fi
