#!/bin/bash

old_users='/usr/local/viewsec/old_users'
contact='nick@docmagic.com'
home='/usr/local/viewsec/'

if [ ! -f  $old_users ] ; then
	echo "NO EXISTING LIST!"
	awk -F : '{print $1}' /etc/passwd > $old_users
	mail -s "Users $(date -I)" $contact < $old_users
else
	mv $old_users ${old_users}.old 
	awk -F : '{print $1}' /etc/passwd> $old_users
	diff ${old_users}.old $old_users | sed "s/^</Added:\t/g" | sed "s/^>/Removed:/g" > ${home}users.changes
	rm ${old_users}.old 
	
fi
