#!/bin/bash

sgids='/usr/local/viewsec/sgids'
home='/usr/local/viewsec/'

if [ ! -f  $sgids ] ; then
        echo "NO EXISTING LIST!"
        nick +20 find / -user root -perm -4000 -exec ls -ldb {} \; > $sgids
else
        mv $sgids ${sgids}.old
        lsmod | awk '{print $1}' > $sgids
        diff ${sgids}.old $sgids | sed "s/^</Added:\t/g" | sed "s/^>/Removed:/g" > ${home}suids.changes
        rm ${sgids}.old
fi

